DSSSL Library Reference: Part of the Modular DocBook Stylesheet distribution
Prev |  |

# string->nodes

## Name

string->nodes -- no documented purpose

## Synopsis

    (string->nodes s)

## Source Code

    (define (string->nodes s)
      ;; Escape XML characters...
      (let* ((achars (string-replace s "&" "&#38;#38;"))
    	 (bchars (string-replace achars "<" "&#38;#60;"))
    	 (cchars (string-replace bchars ">" "&#38;#62;")))
        (let ((doc (string-append "<literal><!DOCTYPE doc [ <!ELEMENT "
    			      "doc - - (#PCDATA)> ]><doc>" cchars ";</doc>")))
          (children (node-property 'docelem (sgml-parse doc))))))

Prev | Home |
parse-starttag-pi | Up |